#
# Conditional build:
%bcond_without	apidocs	# API documentation

Summary:	gtranslator - a comfortable po file editor with many bells and whistles
Summary(pl.UTF-8):	gtranslator - wygodny edytor plików po z różnymi wodotryskami
Name:		gtranslator
Version:	40.0
Release:	1
Epoch:		1
License:	GPL v3+
Group:		Development/Tools
Source0:	https://download.gnome.org/sources/gtranslator/40/%{name}-%{version}.tar.xz
# Source0-md5:	df5dd3cdf0378459c4414ac79d1e9bc8
URL:		https://wiki.gnome.org/Apps/Gtranslator
BuildRequires:	docbook-dtd412-xml
# libgettextpo
BuildRequires:	gettext-devel
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.36.0
BuildRequires:	gsettings-desktop-schemas-devel
BuildRequires:	gspell-devel >= 1.2.0
BuildRequires:	gtk+3-devel >= 3.22.20
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.28}
BuildRequires:	gtksourceview4-devel >= 4.0.2
BuildRequires:	itstool
BuildRequires:	json-glib-devel >= 1.2.0
BuildRequires:	libdazzle-devel >= 3.34
BuildRequires:	libgda5-devel >= 5.0
BuildRequires:	libhandy1-devel >= 1.0.0
BuildRequires:	libsoup-devel >= 2.4
BuildRequires:	libxml2-devel >= 2.4.12
BuildRequires:	meson >= 0.50.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	gtk-update-icon-cache
Requires:	glib2 >= 1:2.36.0
Requires:	gspell >= 1.2.0
Requires:	gtk+3 >= 3.22.20
Requires:	gtksourceview4 >= 4.0.2
Requires:	hicolor-icon-theme
Requires:	json-glib >= 1.2.0
Requires:	libdazzle >= 3.34
Requires:	libhandy1 >= 1.0.0
Requires:	libxml2 >= 2.4.12
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gtranslator is a comfortable po file editor with many bells and
whistles. It features many useful function which ease the work of
translators of po files immenantly.

%description -l pl.UTF-8
gtranslator jest wygodnym edytorem plików po z wieloma wodotryskami.
Dostarcza dużo użytecznych funkcji ułatwiających pracę przy
tłumaczeniach plików po.

%package devel
Summary:	Header file for gtranslator plugins development
Summary(pl.UTF-8):	Plik nagłówkowy do tworzenia wtyczek edytora gtranslator
Group:		Development/Tools
Requires:	glib2-devel >= 1:2.36.0
BuildArch:	noarch

%description devel
Header file for gtranslator plugins development.

%description devel -l pl.UTF-8
Plik nagłówkowy do tworzenia wtyczek edytora gtranslator.

%package apidocs
Summary:	API documentation for gtranslator
Summary(pl.UTF-8):	Dokumentacja API gtranslatora
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for gtranslator.

%description apidocs -l pl.UTF-8
Dokumentacja API gtranslatora.

%prep
%setup -q

%build
%meson build \
	%{?with_apidocs:-Dgtk_doc=true}

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS MAINTAINERS NEWS README.md THANKS
%attr(755,root,root) %{_bindir}/gtranslator
%{_datadir}/%{name}
%{_datadir}/glib-2.0/schemas/org.gnome.Gtranslator.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gtranslator.plugins.translation-memory.gschema.xml
%{_datadir}/metainfo/org.gnome.Gtranslator.appdata.xml
%{_desktopdir}/org.gnome.Gtranslator.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Gtranslator.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Gtranslator-symbolic.svg
%{_mandir}/man1/gtranslator.1*

%files devel
%defattr(644,root,root,755)
%{_includedir}/gtr-marshal.h

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gtranslator
%endif
%changelog
* Sun Apr 04 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gtranslator.git;a=log;h=master

* Sun Apr 04 2021 Jakub Bogusz <qboosh@pld-linux.org> e8885f8
- updated to 40.0
- removed obsolete doc patch

* Fri Sep 18 2020 Jakub Bogusz <qboosh@pld-linux.org> 87070cc
- updated to 3.38.0
- added doc patch (adjust gtk-doc build)

* Mon Apr 27 2020 Jakub Bogusz <qboosh@pld-linux.org> 86a9df1
- updated to 3.36.0

* Thu Oct 17 2019 Jakub Bogusz <qboosh@pld-linux.org> c883c39
- updated to 3.34.0

* Wed Sep 04 2019 Jakub Bogusz <qboosh@pld-linux.org> ea21576
- updated to 3.32.1
- removed outdated pc patch, there is no .pc file now

* Sun Jul 30 2017 Jakub Bogusz <qboosh@pld-linux.org> 86267ea
- updated to 2.91.7
- removed obsolete gtkspell3 patch
- added pc patch (update dependencies in .pc file)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> a8988a4
- updated gettext BR

* Sun Jun 30 2013 Lukasz Glebicki <blekot@pld-linux.org> 25578cc
- added gtranslator-gtkspell3.patch from opensuse to build with
  gtkselll3
- added devel package
- rel 1
- cleanup

* Sun Jun 23 2013 Lukasz Glebicki <blekot@pld-linux.org> 5a6259f
- starting update to 2.91.6
- added TODO
- NFY

* Mon Feb 07 2011 sparky <sparky@pld-linux.org> 100abf0
- unified preamble in %changelog

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> 5e1e396
- Requires(post,postun): gtk-update-icon-cache

* Fri Feb 12 2010 sparky <sparky@pld-linux.org> 1f4e815
- BR: db-devel, docbook-dtd412-xml, gnome-doc-utils, gtk-doc,
  gtksourceview2-devel
- WARNING: does not build without network because of missing:
  http://scrollkeeper.sourceforge.net/dtds/scrollkeeper-omf-1.0/scrollkeeper-omf.dtd

* Fri Feb 12 2010 Patryk Zawadzki <patrys@room-303.com> 2ab3cf1
- 1.9.8
- TODO: -devel and -apidocs packages

* Fri Mar 21 2008 Szymon Siwek <sls@pld-linux.org> d5f7799
- added rarian.patch

* Fri Mar 21 2008 Szymon Siwek <sls@pld-linux.org> b9214dd
- remove " (Rarian version..." from "scrollkeeper-config --version" output

* Sun Dec 30 2007 zbyniu <zbyniu@pld-linux.org> cd56947
- up to 1.1.7

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 24d484b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 124291f
- converted to UTF-8

* Sun Nov 12 2006 Patryk Zawadzki <patrys@room-303.com> ff6c0a8
- proper intltoolize

* Wed Jul 26 2006 Elan Ruusamäe <glen@pld-linux.org> eb76444
- unify sourceforge url

